安装luminati的nodejs环境配置

安装luminati的nodejs环境配置

安装文档:https://luminati-china.biz/products/proxy-manager

选择bash安装方法执行:curl -L https://luminati-china.biz/static/lpm/luminati-proxy-latest-setup.sh | bash
会自动检测nodejs的版本和npm命令的版本,一般默认在centos下npm的命令版本是很低的。luminati要求6.14.6 以上。

如果出现找不到/usr/bin/npm 的报错,要手工安装nodejs的新版本和npm的新版本。命令如下:

1. First, update the local repository to ensure you install the latest versions of Node.js and npm. Type in the following command:
sudo yum update
2. Next, add the NodeSource repository to the system with:
curl –sL https://rpm.nodesource.com/setup_10.x | sudo bash -
3. The output will prompt you to use the following command if you want to install Node.js and npm:
sudo yum install –y nodejs
4. Finally, verify the installed software with the commands:
node –version
check node version
npm –version

# npm --version
6.14.8

这样就好了。再继续安装luminati-proxy-latest-setup.sh即可:

# curl -L https://luminati-china.biz/static/lpm/luminati-proxy-latest-setup.sh | bash
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 83 100 83 0 0 259 0 --:--:-- --:--:-- --:--:-- 260
100 17425 100 17425 0 0 54092 0 --:--:-- --:--:-- --:--:-- 54092
Luminati install script. Install id: rWitMQVEUAPNH6F465MmSEmYy4SYBrD9
checking deps...
checking brew...
checking curl...
checking nodejs...
node v10.23.0 is installed
required node version is 12.18.3
installing deps...
installing nodejs from yum
checking npm...
cleaning lpm related node packages and npm cache...
removing luminati links...
installing Luminati proxy manager...
make: g++: Command not found
make: *** [Release/obj.target/addon/src/heapdump.o] Error 127
gyp ERR! build error
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:191:23)
gyp ERR! stack at ChildProcess.emit (events.js:198:13)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:248:12)
gyp ERR! System Linux 3.10.0-1127.13.1.el7.x86_64
gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /usr/lib/node_modules/@luminati-io/luminati-proxy/node_modules/heapdump
gyp ERR! node -v v10.23.0
gyp ERR! node-gyp -v v5.1.0
gyp ERR! not ok
Downloading Chromium r706915 - 118.3 Mb [====================] 100% 0.0s
check install
Luminati installed successfully!
Luminati install script complete. Install id: rWitMQVEUmYy4SYBrD9
To run the process enter 'luminati'

以上还是有一些报错,不知道什么意思。